Emojis
These API endpoints are related to pack emojis, addressed standalone
GET
Gets every pack emoji across every emoji pack, newest first. This endpoint is paginated.
page?stringThe page number
Success
application/json- response
count?integerRange
0 <= value <= 18446744073709552000per_page?integerRange
0 <= value <= 18446744073709552000results?array<>curl -X GET 'https://spider.omniplex.gg/emojis/@all'Example Response
{ "count": 0, "per_page": 0, "results": [ { "animated": true, "created_at": "2019-08-24T14:15:22Z", "downloads": 0, "id": "string", "name": "string", "pack_name": "string", "pack_url": "string" } ]}GET
Gets a single pack emoji by its own ID, along with its owning pack's identity and owner
id*stringThe emoji's ID
Success
application/json- response
animated?booleancreated_at?stringFormat
date-timedownloads?integerid?stringname?stringowner?pack_name?stringpack_url?stringposition?integervanity?stringcurl -X GET 'https://spider.omniplex.gg/emojis/string'Example Response
{ "animated": true, "created_at": "2019-08-24T14:15:22Z", "downloads": 0, "id": "string", "name": "string", "owner": { "avatar": "string", "bot": true, "display_name": "string", "extra_data": { "property1": null, "property2": null }, "flags": [ "string" ], "id": "string", "status": "string", "username": "string" }, "pack_name": "string", "pack_url": "string", "position": 0, "vanity": "string"}POST
Records a single-emoji download and returns the new total. Returns 204 on success
id*stringThe emoji's ID
Success
application/json- response
downloads?integercurl -X POST 'https://spider.omniplex.gg/emojis/string/download'Example Response
{ "downloads": 0}